Page MenuHomePhabricator

MT dropdown shows JS functions
Closed, ResolvedPublic

Description

Originally reported from Romanian Wikipedia, but could be the case elsewhere too.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterGuard against Array.prototype modifications in MT control

Event Timeline

Arrbee created this task.Apr 11 2016, 2:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2016, 2:34 PM
Arrbee triaged this task as High priority.Apr 11 2016, 2:34 PM

Seems working fine for me:

I guess we are using foreach ( var foo in array ) without guard and the user is using a script that extends array prototype (discouraged behavior nowdays).

Change 282864 had a related patch set uploaded (by Nikerabbit):
Guard against Array.prototype modifications in MT control

https://gerrit.wikimedia.org/r/282864

Nikerabbit moved this task from Backlog to In Review on the Language-Q4-2016-Sprint 1 board.

Change 282864 merged by jenkins-bot:
Guard against Array.prototype modifications in MT control

https://gerrit.wikimedia.org/r/282864

Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 1 board.Apr 19 2016, 4:49 AM
Amire80 closed this task as Resolved.Apr 20 2016, 9:55 AM
Amire80 moved this task from Backlog to High-priority Bugs on the ContentTranslation-Release9 board.